Bug 1119831 - [abrt] meld: dirdiff.py:447:update_treeview_columns:KeyError: 'gr\xc3\xb6\xc3\x9fe'
Summary: [abrt] meld: dirdiff.py:447:update_treeview_columns:KeyError: 'gr\xc3\xb6\xc3...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8eda9737df72351ada38f8e1a68...
: 1089725 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 15:29 UTC by Christian Stadelmann
Modified: 2015-06-29 21:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:35:56 UTC


Attachments (Terms of Use)
File: backtrace (973 bytes, text/plain)
2014-07-15 15:29 UTC, Christian Stadelmann
no flags Details
File: environ (3.26 KB, text/plain)
2014-07-15 15:29 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2014-07-15 15:29:35 UTC
Description of problem:


Version-Release number of selected component:
meld-1.8.5-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /bin/meld
executable:     /bin/meld
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 3
type:           Python
uid:            1000

Truncated backtrace:
dirdiff.py:447:update_treeview_columns:KeyError: 'gr\xc3\xb6\xc3\x9fe'

Traceback (most recent call last):
  File "/usr/share/meld/meld/preferences.py", line 139, in _update_columns
    setattr(self.prefs, self.key, columns)
  File "/usr/share/meld/meld/util/prefs.py", line 259, in __setattr__
    l(attr, val)
  File "/usr/share/meld/meld/dirdiff.py", line 430, in on_preference_changed
    self.update_treeview_columns(value)
  File "/usr/share/meld/meld/dirdiff.py", line 447, in update_treeview_columns
    current_column = self.columns_dict[i][column_name]
KeyError: 'gr\xc3\xb6\xc3\x9fe'

Local variables in innermost frame:
extra_cols: True
i: 0
self: <DirDiff object at 0x2dbee10 (meld+melddoc+MeldDoc at 0x310e880)>
visible: True
columns: ['gr\xc3\xb6\xc3\x9fe 1', '\xc3\x84nderungszeit 1', 'berechtigungen 1']
line: 'gr\xc3\xb6\xc3\x9fe 1'
last_column: <gtk.TreeViewColumn object at 0x2dc9e60 (GtkTreeViewColumn at 0x2dfa610)>
column_name: 'gr\xc3\xb6\xc3\x9fe'

Comment 1 Christian Stadelmann 2014-07-15 15:29:38 UTC
Created attachment 918193 [details]
File: backtrace

Comment 2 Christian Stadelmann 2014-07-15 15:29:39 UTC
Created attachment 918194 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:22:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Dominic Hopf 2015-06-25 22:29:02 UTC
*** Bug 1089725 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2015-06-29 21:35:56 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.